/* IEEE 802.11 WaveLAN driver-specific iotcls */

/*

  Copyright (C) 1999 President and Fellows of Harvard College

  All rights reserved.

  NOTICE: This software is provided "as is", without any warranty,
  including any implied warranty for merchantability or fitness for a
  particular purpose.  Under no circumstances shall Harvard University
  or its faculty, staff, students or agents be liable for any use of,
  misuse of, or inability to use this software, including incidental
  and consequential damages.

  License is hereby given to use, modify, and redistribute this
  software, in whole or in part, for any commercial or non-commercial
  purpose, provided that the user agrees to the terms of this
  copyright notice, including disclaimer of warranty, and provided
  that this copyright notice, including disclaimer of warranty, is
  preserved in the source code and documentation of anything derived
  from this software.  Any redistributor of this software or anything
  derived from this software assumes responsibility for ensuring that
  any parties to whom wuch a redistribution is made are fully aware of
  the terms of this license and disclaimer.

  Written by:
    Brad Karp, Harvard University EECS, April, 1999
    karp@eecs.harvard.edu

*/

#ifndef _CHIPS_IWL_H
#define _CHIPS_IWL_H

#define SIOCGIWLSTATS	_IOWR('i', 70, struct ifreq)	/* get iwl stats */
#define SIOCGIWLSSID	_IOWR('i', 71, struct ifreq)	/* get iwl SSID */
#define SIOCSIWLSSID	_IOWR('i', 72, struct ifreq)	/* set iwl SSID */
#define SIOCGIWLPTYPE	_IOWR('i', 73, struct ifreq)	/* get iwl port type */
#define	SIOCSIWLPTYPE	_IOWR('i', 74, struct ifreq)	/* set iwl port type */
#define SIOCGIWLCHAN	_IOWR('i', 75, struct ifreq)	/* get iwl channel */
#define	SIOCSIWLCHAN	_IOWR('i', 76, struct ifreq)	/* set iwl channel */
#define SIOCGIWLPWR     _IOWR('i', 77, struct ifreq)    /* get iwl pwr mgmt */
#define SIOCSIWLPWR     _IOWR('i', 78, struct ifreq)    /* set iwl pwr mgmt */
#define SIOCGIWLRTXS    _IOWR('i', 79, struct ifreq)    /* get iwl rtx short */
#define SIOCSIWLRTXS    _IOWR('i', 80, struct ifreq)    /* set iwl rtx short */
#define SIOCGIWLRTXL    _IOWR('i', 81, struct ifreq)    /* get iwl rtx long */
#define SIOCSIWLRTXL    _IOWR('i', 82, struct ifreq)    /* set iwl rtx long */

/* Hermes Tallies (IFB substructure) */
struct iwl_hermes_tallies {
  uint32_t TxUnicastFrames;
  uint32_t TxMulticastFrames;
  uint32_t TxFragments;
  uint32_t TxUnicastOctets;
  uint32_t TxMulticastOctets;
  uint32_t TxDeferredTransmissions;
  uint32_t TxSingleRetryFrames;
  uint32_t TxMultipleRetryFrames;
  uint32_t TxRetryLimitExceeded;
  uint32_t TxDiscards;
  uint32_t RxUnicastFrames;
  uint32_t RxMulticastFrames;
  uint32_t RxFragments;
  uint32_t RxUnicastOctets;
  uint32_t RxMulticastOctets;
  uint32_t RxFCSErrors;
  uint32_t RxDiscards_NoBuffer;
  uint32_t TxDiscardsWrongSA;
  uint32_t RxWEPUndecryptable;
  uint32_t RxMsgInMsgFragments;
  uint32_t RxMsgInBadMsgFragments;
};

#endif /* _CHIPS_IWL_H */
